# TurnControl.HandStonePositionComparator
Date: 2011-05-10

## jrummikub.control
Class TurnControl.HandStonePositionComparator

    java.lang.Object
      jrummikub.control.TurnControl.HandStonePositionComparator

All Implemented Interfaces:
  java.util.Comparator<Pair<Stone,Position>>

Enclosing class:
  TurnControl

    static class TurnControl.HandStonePositionComparator

extends java.lang.Object
implements java.util.Comparator<Pair<Stone,Position>>

Constructor Summary
`TurnControl.HandStonePositionComparator()`

Method Summary
`int` `compare(Pair<Stone,Position> pair1, Pair<Stone,Position> pair2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### TurnControl.HandStonePositionComparator

    TurnControl.HandStonePositionComparator()

Method Detail

### compare

    public int compare(Pair<Stone,Position> pair1,
                       Pair<Stone,Position> pair2)

  Specified by:
    `compare` in interface `java.util.Comparator<Pair<Stone,Position>>`